{
"error": {
"message": "Invalid model 'pplx-decidr-latest'. Permitted models can be found in the documentation at https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/docs/getting-started/models.",
"type": "invalid_request_error",
"param": null,
"code": null
}
}
{
"error": {
"message": "Invalid API key provided. You can find your API key at https://perplexity.coolkeypoint.com/__p/console.perplexity.ai.",
"type": "invalid_api_key",
"code": 401
}
}
{
"error": {
"code": null,
"message": "request body exceeds the maximum allowed size of 33554432 bytes",
"param": null,
"type": "invalid_request_error"
}
}
Evaluate one or more named questions against the content in state. Mix noul, choice, and score questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set model to pplx-decider-v1.2 or pplx-decider-flash-v1.2, or to the alias pplx-decider-latest or pplx-decider-flash-latest; a missing or unknown model returns 400. Send the key as Authorization: Bearer <key>; an x-api-key header is not read and returns 401.
POST
/
v1
/
decisions
Answer questions
curl --request POST \ --url https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "model": "pplx-decider-latest", "state": { "title": "Battery died after two weeks", "review": "The headphones sound great, but the battery stopped charging after two weeks." }, "questions": { "defect": { "type": "noul", "instructions": "Does the review report a product defect?" }, "sentiment": { "type": "choice", "instructions": "What is the overall sentiment of the review?", "criteria": { "positive": "Mostly satisfied", "mixed": "Praise and complaints in one review", "negative": "Mostly dissatisfied" } }, "severity": { "type": "score", "instructions": "How severe is the reported problem?", "criteria": [ "Cosmetic", "Inconvenient", "Product unusable" ] } }}'
import requests
url = "https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions"
payload = {
"model": "pplx-decider-latest",
"state": {
"title": "Battery died after two weeks",
"review": "The headphones sound great, but the battery stopped charging after two weeks."
},
"questions": {
"defect": {
"type": "noul",
"instructions": "Does the review report a product defect?"
},
"sentiment": {
"type": "choice",
"instructions": "What is the overall sentiment of the review?",
"criteria": {
"positive": "Mostly satisfied",
"mixed": "Praise and complaints in one review",
"negative": "Mostly dissatisfied"
}
},
"severity": {
"type": "score",
"instructions": "How severe is the reported problem?",
"criteria": ["Cosmetic", "Inconvenient", "Product unusable"]
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'pplx-decider-latest',
state: {
title: 'Battery died after two weeks',
review: 'The headphones sound great, but the battery stopped charging after two weeks.'
},
questions: {
defect: {type: 'noul', instructions: 'Does the review report a product defect?'},
sentiment: {
type: 'choice',
instructions: 'What is the overall sentiment of the review?',
criteria: {
positive: 'Mostly satisfied',
mixed: 'Praise and complaints in one review',
negative: 'Mostly dissatisfied'
}
},
severity: {
type: 'score',
instructions: 'How severe is the reported problem?',
criteria: ['Cosmetic', 'Inconvenient', 'Product unusable']
}
}
})
};
fetch('https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'pplx-decider-latest',
'state' => [
'title' => 'Battery died after two weeks',
'review' => 'The headphones sound great, but the battery stopped charging after two weeks.'
],
'questions' => [
'defect' => [
'type' => 'noul',
'instructions' => 'Does the review report a product defect?'
],
'sentiment' => [
'type' => 'choice',
'instructions' => 'What is the overall sentiment of the review?',
'criteria' => [
'positive' => 'Mostly satisfied',
'mixed' => 'Praise and complaints in one review',
'negative' => 'Mostly dissatisfied'
]
],
'severity' => [
'type' => 'score',
'instructions' => 'How severe is the reported problem?',
'criteria' => [
'Cosmetic',
'Inconvenient',
'Product unusable'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions"
payload := strings.NewReader("{\n \"model\": \"pplx-decider-latest\",\n \"state\": {\n \"title\": \"Battery died after two weeks\",\n \"review\": \"The headphones sound great, but the battery stopped charging after two weeks.\"\n },\n \"questions\": {\n \"defect\": {\n \"type\": \"noul\",\n \"instructions\": \"Does the review report a product defect?\"\n },\n \"sentiment\": {\n \"type\": \"choice\",\n \"instructions\": \"What is the overall sentiment of the review?\",\n \"criteria\": {\n \"positive\": \"Mostly satisfied\",\n \"mixed\": \"Praise and complaints in one review\",\n \"negative\": \"Mostly dissatisfied\"\n }\n },\n \"severity\": {\n \"type\": \"score\",\n \"instructions\": \"How severe is the reported problem?\",\n \"criteria\": [\n \"Cosmetic\",\n \"Inconvenient\",\n \"Product unusable\"\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"pplx-decider-latest\",\n \"state\": {\n \"title\": \"Battery died after two weeks\",\n \"review\": \"The headphones sound great, but the battery stopped charging after two weeks.\"\n },\n \"questions\": {\n \"defect\": {\n \"type\": \"noul\",\n \"instructions\": \"Does the review report a product defect?\"\n },\n \"sentiment\": {\n \"type\": \"choice\",\n \"instructions\": \"What is the overall sentiment of the review?\",\n \"criteria\": {\n \"positive\": \"Mostly satisfied\",\n \"mixed\": \"Praise and complaints in one review\",\n \"negative\": \"Mostly dissatisfied\"\n }\n },\n \"severity\": {\n \"type\": \"score\",\n \"instructions\": \"How severe is the reported problem?\",\n \"criteria\": [\n \"Cosmetic\",\n \"Inconvenient\",\n \"Product unusable\"\n ]\n }\n }\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://perplexity.coolkeypoint.com/__p/api.perplexity.ai/v1/decisions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"pplx-decider-latest\",\n \"state\": {\n \"title\": \"Battery died after two weeks\",\n \"review\": \"The headphones sound great, but the battery stopped charging after two weeks.\"\n },\n \"questions\": {\n \"defect\": {\n \"type\": \"noul\",\n \"instructions\": \"Does the review report a product defect?\"\n },\n \"sentiment\": {\n \"type\": \"choice\",\n \"instructions\": \"What is the overall sentiment of the review?\",\n \"criteria\": {\n \"positive\": \"Mostly satisfied\",\n \"mixed\": \"Praise and complaints in one review\",\n \"negative\": \"Mostly dissatisfied\"\n }\n },\n \"severity\": {\n \"type\": \"score\",\n \"instructions\": \"How severe is the reported problem?\",\n \"criteria\": [\n \"Cosmetic\",\n \"Inconvenient\",\n \"Product unusable\"\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body
{
"error": {
"message": "Invalid model 'pplx-decidr-latest'. Permitted models can be found in the documentation at https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/docs/getting-started/models.",
"type": "invalid_request_error",
"param": null,
"code": null
}
}
{
"error": {
"message": "Invalid API key provided. You can find your API key at https://perplexity.coolkeypoint.com/__p/console.perplexity.ai.",
"type": "invalid_api_key",
"code": 401
}
}
{
"error": {
"code": null,
"message": "request body exceeds the maximum allowed size of 33554432 bytes",
"param": null,
"type": "invalid_request_error"
}
}
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The content to evaluate and the named questions to ask about it. Unknown fields return 400. The state plus any one question must stay under 256K input tokens; on pplx-decider-v1.2, questions that do not fit together are answered in groups, and each group counts the state again. pplx-decider-flash-v1.2 answers each question separately and counts the state again for every question. The body must stay under 32 MiB.
The decision model: pplx-decider-v1.2 (27B, $0.02 per million input tokens) or pplx-decider-flash-v1.2 (4B, $0.01 per million input tokens). The aliases pplx-decider-latest and perplexity/pplx-decider-latest select pplx-decider-v1.2, and pplx-decider-flash-latest and perplexity/pplx-decider-flash-latest select pplx-decider-flash-v1.2; an alias can move to a newer model over time. pplx-decider-v1.1-27b and pplx-decider-v1-27b remain accepted and select pplx-decider-v1.2. A missing or unknown model returns 400.
The content every question in the request refers to: a string, an object, or an array. Images can appear anywhere in state as OpenAI-style image_url parts with base64 PNG, JPEG, or WebP data URLs and are read in place. Up to 8 images per question.
Example:
"The headphones sound great, but the battery stopped charging after two weeks."
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Perplexity","description":"Perplexity API docs. Search: ranked web results with extracted page text for your own model. Agent: hosted models with web search and tools, returning a cited answer. Decisions: calibrated probabilities. Orchestrator (private preview): OpenAI- and Anthropic-format routing. Embeddings: vectors.","colors":{"primary":"#121516","light":"#F7F7F8","dark":"#121516"},"logo":{"light":"https://mintcdn.com/perplexity/gHf_T6roVjp3yaJv/logo/Perplexity_API_Platform.svg?fit=max\u0026auto=format\u0026n=gHf_T6roVjp3yaJv\u0026q=85\u0026s=07cab879ca2ce031bbc3da8b20f7ab90","dark":"https://mintcdn.com/perplexity/gHf_T6roVjp3yaJv/logo/Perplexity_API_Platform_Light.svg?fit=max\u0026auto=format\u0026n=gHf_T6roVjp3yaJv\u0026q=85\u0026s=416d5342d11094201b851dcf3eabdc9d","href":"/docs/getting-started/overview"},"favicon":"https://mintcdn.com/perplexity/1nonjPul2rlRMt-c/favicon.png?fit=max\u0026auto=format\u0026n=1nonjPul2rlRMt-c\u0026q=85\u0026s=f095c28dbad15e333c62683681f3ec20","api":{"examples":{"defaults":"required"}},"background":{"color":{"light":"#F7F7F8","dark":"#121516"}},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://perplexity.coolkeypoint.com/__p/console.perplexity.ai"}},"footer":{"socials":{"x":"https://x.com/perplexitydevs","discord":"https://discord.com/invite/perplexity-ai","website":"https://perplexity.coolkeypoint.com/__p/community.perplexity.ai"}},"search":{"prompt":"Search"},"seo":{"metatags":{"google-site-verification":"l-0uTKc1Uf60LaNt0Pkw1wLOBFEKoBIhUrv0EMr1J4U"},"indexing":"navigable"},"fonts":{"family":"GT Standard","weight":300,"source":"fonts/GT-Standard-S-Standard-Light.woff2","format":"woff2"},"icons":{"library":"tabler"},"banner":{"content":"For AI agents: see the complete [llms.txt](/llms.txt) documentation index.","dismissible":true},"errors":{"404":{"redirect":false,"title":"Page not found","description":"The page you're looking for doesn't exist. Try the [documentation home](/docs/getting-started/overview) or search above."}},"contextual":{"options":["copy","view","perplexity"],"display":"header"},"interaction":{"drilldown":false},"metadata":{"timestamp":false},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Community","icon":{"style":"regular","name":"message-circle"},"href":"https://perplexity.coolkeypoint.com/__p/community.perplexity.ai"},{"anchor":"Blog","icon":{"style":"regular","name":"pencil"},"href":"https://perplexity.coolkeypoint.com/__p/research.perplexity.ai/articles"},{"anchor":"Changelog","icon":{"style":"regular","name":"clock"},"href":"/docs/resources/changelog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"perplexity","hasAudioNarration":false,"actualSubdomain":"perplexity","customDomains":["docs.perplexity.ai"],"gitSource":{"type":"github","owner":"ppl-ai","repo":"api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae8de10f9d8810c2db7907b","collectionId":"44737a50-f83c-4c63-a1fb-e56673b6c870","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae8de10f9d8810c2db7907b"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae8de10f9d8810c2db7907b","clientVersion":"0.0.4054","searchFilterCounts":[{"language":"default","tag":"Docs","count":102},{"language":"default","tag":"Cookbook","count":88},{"language":"default","tag":"Agent API","count":55},{"language":"default","tag":"API Reference","count":36},{"language":"default","tag":"Examples","count":28},{"language":"default","tag":"Resources","count":28},{"language":"default","tag":"Integrations","count":21},{"language":"default","tag":"Guides","count":18},{"language":"default","tag":"Search API","count":13},{"language":"default","tag":"Tools","count":10}]},"assistantConfig":{"enableStarterQuestions":true},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"starterQuestions":[{"_id":"6983db9dfb7ad2556f59e58e","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"What is the Agent API?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:57.148Z","updatedAt":"2026-02-13T03:11:32.396Z","__v":0},{"_id":"6983db84fb7ad2556f59e4ee","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"Which Agent API model should I use?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:32.666Z","updatedAt":"2026-02-13T03:11:40.522Z","__v":0},{"_id":"6983db82fb7ad2556f59e4e1","deploymentId":"65a9ccde8bfbe120a55f6d5b","questionText":"How do I create an API key?","status":"active","generatedBy":"manual","createdAt":"2026-02-04T23:51:30.248Z","updatedAt":"2026-02-06T16:17:57.191Z","__v":0}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-S-Standard-Light.woff2) format(\"woff2\");font-weight:300;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-S-Standard-Regular.woff2) format(\"woff2\");font-weight:400;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-S-Standard-Medium.woff2) format(\"woff2\");font-weight:500;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-M-Standard-Medium.woff2) format(\"woff2\");font-weight:500;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-M-Standard-Semibold.woff2) format(\"woff2\");font-weight:600;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard\";src:url(/fonts/GT-Standard-L-Standard-Medium.woff2) format(\"woff2\");font-weight:500;font-style:normal;font-display:swap}@font-face{font-family:\"GT Standard Mono\";src:url(/fonts/GT-Standard-Mono-Standard-Regular.woff2) format(\"woff2\");font-weight:400;font-style:normal;font-display:swap}.font-mono,kbd,pre,samp{font-family:\"GT Standard Mono\",ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;font-feature-settings:normal;font-variation-settings:normal;font-size:1em}:root{--color-primary:#121516;--color-paperwhite:#fbfaf4;--color-ecru:#F7F7F8;--color-offblack:#121516;--color-dark-turquoise-dark:rgba(34, 128, 140, 0.7);--color-dark-turquoise-light:rgba(44, 160, 171, 1);--color-foreground:#121516;--color-muted-foreground:#6b7280;--color-card:#F7F7F8;--color-border:#DBDDDE;--cb-agent-api-fg:#1a7a85;--cb-agent-api-bg:rgba(34, 128, 140, 0.12);--cb-search-api-fg:#2f6fae;--cb-search-api-bg:rgba(47, 111, 174, 0.12);--cb-embeddings-api-fg:#b05f2e;--cb-embeddings-api-bg:rgba(176, 95, 46, 0.12);--cb-sonar-api-fg:#977621;--cb-sonar-api-bg:rgba(157, 118, 52, 0.16);--cb-decisions-api-fg:#944454;--cb-decisions-api-bg:rgba(148, 68, 84, 0.12);--cb-category-fg:#475569;--cb-category-bg:rgba(71, 85, 105, 0.10);--cb-type-fg:#6b7280;--cb-type-bg:rgba(107, 114, 128, 0.10);--cb-popover-bg:#ffffff;--cb-popover-border:#e5e7eb;--cb-hover:rgba(18, 21, 22, 0.05);--cb-accent-fg:#1a7a85;--sonar-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarbgmainlight.svg\");--reasoning-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningbgmainlight.svg\");--deep-research-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/deepbgmainlight.svg\");--sonar-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarmodelbannerlight.svg\");--sonar-pro-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarpromodelbannerlight.svg\");--sonar-reasoning-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarreasoningbannerlight.svg\");--sonar-reasoning-pro-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarreasoningprobannerlight.svg\");--sonar-deep-research-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonardeepbannerlight.svg\");--search-api-banner:url(\"https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/models/assets/search_api.png\");--sonar-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarbglight.svg\");--sonar-pro-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarprobglight.svg\");--reasoning-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningbglight.svg\");--reasoning-pro-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningprobglight.svg\");--deep-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/deepbglight.svg\")}.dark{--color-primary:#F7F7F8;--color-foreground:#F7F7F8;--color-muted-foreground:#9ca3af;--color-card:rgba(8, 31, 34, 0.3);--color-border:rgba(247, 247, 248, 0.2);--cb-agent-api-fg:#4aa6af;--cb-agent-api-bg:rgba(53, 189, 200, 0.16);--cb-search-api-fg:#6aa8e0;--cb-search-api-bg:rgba(76, 140, 210, 0.18);--cb-embeddings-api-fg:#e0915f;--cb-embeddings-api-bg:rgba(200, 120, 60, 0.22);--cb-sonar-api-fg:#cda456;--cb-sonar-api-bg:rgba(200, 160, 70, 0.20);--cb-decisions-api-fg:#d17f90;--cb-decisions-api-bg:rgba(200, 120, 140, 0.22);--cb-category-fg:#cbd5e1;--cb-category-bg:rgba(148, 163, 184, 0.18);--cb-type-fg:#9ca3af;--cb-type-bg:rgba(156, 163, 175, 0.16);--cb-popover-bg:#15191a;--cb-popover-border:rgba(247, 247, 248, 0.14);--cb-hover:rgba(247, 247, 248, 0.08);--cb-accent-fg:#4aa6af;--sonar-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarbgmain.svg\");--reasoning-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningbgmain.svg\");--deep-research-bg:url(\"https://mintlify-assets.b-cdn.net/perplexity/deepbgmain.svg\");--sonar-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarmodelbanner.svg\");--sonar-pro-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarpromodelbanner.svg\");--sonar-reasoning-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarreasoningbanner.svg\");--sonar-reasoning-pro-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarreasoningprobanner.svg\");--sonar-deep-research-banner:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonardeepbanner.svg\");--search-api-banner:url(\"https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/models/assets/search_api.png\");--sonar-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarbg.svg\");--sonar-pro-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/sonarprobg.svg\");--reasoning-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningbg.svg\");--reasoning-pro-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/reasoningprobg.svg\");--deep-sq:url(\"https://mintlify-assets.b-cdn.net/perplexity/deepbg.svg\")}h1{font-size:32px;line-height:38px;letter-spacing:.01em;color:#000}h2{font-size:28px;line-height:32px}h3{font-size:22px;line-height:26px}h4{font-weight:600;font-size:18px;line-height:21px}body,h1,h2,h3,h4,h5,h6{font-family:\"GT Standard\",sans-serif}h2,h3,h4,h5,h6{letter-spacing:-.02em}h5{font-size:17px;line-height:22px;color:rgba(18,21,22,.9)}h6{font-size:15px;line-height:17px}.dark h1{color:#fff}.dark .content a:hover,.dark .paragraph-small a:hover,.dark .text-sm a:hover,.dark article a:hover,.dark h2,.dark h3,.dark h4,.dark h6,.dark li a:hover,.dark main a:hover,.dark p a:hover{color:#f7f7f8}.dark h5{color:rgba(247,247,248,.9)}.mdx-content li,.prose [data-as=p],.prose span[data-as=p],p{font-family:\"GT Standard\",sans-serif;font-weight:300;font-size:16px;line-height:140%;letter-spacing:-.03em;color:#545658}.paragraph-large,.text-lg{font-weight:300;font-size:18px;line-height:140%;letter-spacing:-.03em;color:#545658}.font-medium,b,h1,h2,h3,h5,h6,strong{font-weight:500}.paragraph-small,.paragraph-xs,.text-sm,.text-xs{font-weight:300;font-size:14px;line-height:140%;letter-spacing:-.03em;color:#545658}.paragraph-xs,.text-xs{font-weight:400;font-size:13px}.dark .mdx-content li,.dark .paragraph-large,.dark .paragraph-small,.dark .paragraph-xs,.dark .prose [data-as=p],.dark .prose span[data-as=p],.dark .text-lg,.dark .text-sm,.dark .text-xs,.dark p{color:#abb0b3}.content a,article a,main a{text-decoration:underline}.content a,article a,li a,main a,p a{font-family:\"GT Standard\",sans-serif;font-weight:400;color:rgba(18,21,22,.6);transition:color .2s ease}.content a:hover,article a:hover,h2,h3,h4,h6,li a:hover,main a:hover,p a:hover{color:#121516}.dark .content a,.dark article a,.dark li a,.dark main a,.dark p a{color:rgba(247,247,248,.6)}html[data-current-path=\"/docs/cookbook\"] #page-context-menu{display:none!important}.cb-chip:hover{background-color:var(--cb-hover)}.dark .paragraph-small a,.dark .text-sm a{color:#abb0b3}[data-component-part=callout-content] a,[data-component-part=card-content] a,[data-component-part=step-content] a,a.link,li a,p a,span a{border-bottom:none!important;text-decoration:underline!important;text-decoration-thickness:1px!important;text-underline-offset:2px!important}a.model-card-link{border-bottom-width:1px!important;border-bottom-style:solid!important;border-bottom-color:var(--color-border)!important}a.model-card-link:hover{border-bottom-color:var(--color-primary)!important}#content-area li a.cookbook-card,#navbar a,.almond-layout .sidebar-group a,.almond-layout a,a.model-card-link{text-decoration:none!important}#content-area [data-component-part=callout-content] a,#content-area [data-component-part=card-content] a,#content-area [data-component-part=step-content] a,#content-area a.link,#content-area li a,#content-area p a,#content-area td a{text-decoration:underline!important;text-decoration-thickness:1px!important;text-underline-offset:2px!important}#topbar-cta-button a,#topbar-cta-button a span{font-family:\"GT Standard\",sans-serif!important;font-weight:500!important;color:#f7f7f8!important}#topbar-cta-button a,.dark #topbar-cta-button a{background-color:#1a6872!important}#topbar-cta-button{margin-right:36px!important}.dark code,code{padding:4px 8px;border-radius:4px}code{font-family:\"GT Standard Mono\",ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,monospace;font-weight:400;font-size:13px;line-height:18px;letter-spacing:-.02em;color:#545658!important;background-color:rgba(18,21,22,.04)!important}.dark code{color:#f7f7f8!important;background-color:rgba(247,247,248,.04)!important}#navbar a img{max-width:165px}#navbar .group .absolute.bg-primary{background-color:var(--color-primary)}.text-5xl{font-size:3rem}.text-paperwhite{color:var(--color-paperwhite)}.text-ecru{color:var(--color-ecru)}.text-offblack{color:var(--color-offblack)}.bg-dark-turquoise{background-color:var(--color-dark-turquoise-light)}.text-foreground{color:var(--color-foreground)}.text-muted-foreground{color:var(--color-muted-foreground)}.bg-card{background-color:var(--color-card)}.border-border{border-color:var(--color-border)}.text-primary{color:var(--color-primary)}.border-primary{border-color:var(--color-primary)}.hover\\:bg-primary\\/90:hover{background-color:rgba(34,128,140,.9)}.bg-primary{background-color:var(--color-primary)}.hover\\:border-primary\\/30:hover{border-color:rgba(34,128,140,.3)}.bg-primary\\/10{background-color:rgba(34,128,140,.1)}.bg-button-active{background-color:#92dce2}.bg-button-primary{background-color:#35bdc8}.bg-quickstart{background-color:#1a6872}.bg-search-box{background-color:rgba(222,247,249,.03)}.border-search-box{border-color:rgba(222,247,249,.3)}.bg-nav-selected{background-color:rgba(247,247,248,.1)}.bg-command-key{background-color:rgba(32,128,141,.3)}.text-command-key{color:rgba(222,247,249,.7)}.text-dark-primary{color:#121516}.btn-default{background-color:#121516;color:#f7f7f8;border-radius:9999px;padding:.75rem 1.5rem;font-weight:500;font-size:1rem;text-align:center;white-space:nowrap;transition:all .2s ease;display:inline-block;text-decoration:none;border:0;cursor:pointer}.btn-default:hover{background-color:#0b0c0d}.btn-outline,.dark .btn-default{background-color:#f7f7f8;color:#121516}.dark .btn-default:hover{background-color:#fff}.btn-outline{background-color:transparent;border:2px solid #121516;border-radius:9999px;padding:.75rem 1.5rem;font-weight:500;font-size:1rem;text-align:center;white-space:nowrap;transition:all .2s ease;display:inline-block;text-decoration:none;cursor:pointer}.btn-outline:hover{background-color:rgba(18,21,22,.06)}.dark .btn-outline{color:#f7f7f8;border-color:#f7f7f8}.dark .btn-outline:hover{background-color:rgba(247,247,248,.14)}.code-group.dark\\:text-gray-50:is(.dark *){background:rgba(8,31,34,.3);border-radius:12px;padding:1rem}.code-group.text-gray-950{border-radius:12px;padding:1rem}[id^=usecase-panel-] .code-group{margin:0!important;border:0!important}#navbar .ml-auto{margin-left:0!important;position:absolute!important;left:calc(50% + 92px)!important;transform:translateX(-50%)!important;width:auto!important;flex:none!important}#navbar .nav-tabs,.nav-tabs-item{display:flex!important;gap:24px!important;align-items:center!important}.nav-tabs-item{padding:10px 30px!important;justify-content:center!important;gap:10px!important;font-family:\"GT Standard\",sans-serif!important;font-size:13px!important;font-weight:400!important;letter-spacing:-.52px!important;line-height:normal!important;border-radius:100px!important;transition:all .2s ease!important;height:auto!important}.nav-tabs-item.text-gray-800{background-color:rgba(18,21,22,.06)!important}.dark .nav-tabs-item.dark\\:text-gray-200{background-color:rgba(247,247,248,.14)!important}.nav-tabs-item:hover:not([aria-current=page]):not(.active){background-color:rgba(18,21,22,.04)!important}.dark .nav-tabs-item:hover:not([aria-current=page]):not(.active){background-color:rgba(247,247,248,.08)!important}#table-of-contents>button span,.nav-tabs-item .absolute.bg-primary,.nav-tabs-item>.absolute{display:none!important}.dark,.dark #navbar,.dark .almond-layout,.dark .almond-layout>div,.dark .almond-layout>div>div,.dark .code-block,.dark .code-group,.dark [class*=\"bg-[#09090B]\"],.dark [class*=bg-gray-950]{background-color:#121516!important}.code-block,.code-group{background-color:#f7f7f8!important}.code-block pre,.code-block-background,.code-group pre,pre.shiki{background-color:#fff!important}.dark .code-block pre,.dark .code-block-background,.dark .code-group pre,.dark pre.shiki{background-color:#0b0c0d!important}.code-block code,.code-group code,.dark .code-block code,.dark .code-group code,.table tr{background-color:transparent!important}.homepage-code-block .code-group,.homepage-code-block .code-group pre{border-radius:6px!important}.callout{padding:16px 24px 16px 16px!important;border-radius:12px!important;border-width:1px!important;border-style:solid!important;gap:12px!important;overflow:visible!important}.callout [data-component-part=callout-icon]{margin-top:0!important}.callout [data-component-part=callout-content]{font-family:\"GT Standard\",sans-serif!important;font-weight:300!important;font-size:14px!important;letter-spacing:-.02em!important;line-height:140%!important}.callout [data-component-part=callout-content] [data-as=p],.callout [data-component-part=callout-content] p{margin-bottom:12px!important}#section-menu-dropdown .toc-item:last-child a,.callout [data-component-part=callout-content] [data-as=p]:last-child,.callout [data-component-part=callout-content] p:last-child{margin-bottom:0!important}.callout[data-callout-type=note]{background-color:rgba(66,145,210,.1)!important;border-color:rgba(66,145,210,.14)!important}.callout[data-callout-type=note] [data-component-part=callout-content],.callout[data-callout-type=note] [data-component-part=callout-icon] svg{color:#135b8c!important}.dark .callout[data-callout-type=note]{background-color:rgba(66,145,210,.18)!important;border-color:rgba(66,145,210,.18)!important}.dark .callout[data-callout-type=note] [data-component-part=callout-content],.dark .callout[data-callout-type=note] [data-component-part=callout-icon] svg{color:#63aef2!important}.callout[data-callout-type=info]{background-color:rgba(18,21,22,.06)!important;border-color:rgba(18,21,22,.1)!important}.callout[data-callout-type=info] [data-component-part=callout-content],.callout[data-callout-type=info] [data-component-part=callout-icon] svg{color:#545658!important}.dark .callout[data-callout-type=info]{background-color:rgba(247,247,248,.1)!important;border-color:rgba(247,247,248,.14)!important}.dark #header .text-lg.prose p,.dark .callout[data-callout-type=info] [data-component-part=callout-content],.dark .callout[data-callout-type=info] [data-component-part=callout-icon] svg{color:#abb0b3!important}.callout[data-callout-type=tip]{background-color:rgba(75,158,79,.1)!important;border-color:rgba(75,158,79,.14)!important}.callout[data-callout-type=tip] [data-component-part=callout-content],.callout[data-callout-type=tip] [data-component-part=callout-icon] svg{color:#136a22!important}.dark .callout[data-callout-type=tip]{background-color:rgba(75,158,79,.18)!important;border-color:rgba(75,158,79,.22)!important}.dark .callout[data-callout-type=tip] [data-component-part=callout-content],.dark .callout[data-callout-type=tip] [data-component-part=callout-icon] svg{color:#88bb8c!important}.callout[data-callout-type=warning]{background-color:rgba(203,134,6,.1)!important;border-color:rgba(203,134,6,.14)!important}.callout[data-callout-type=warning] [data-component-part=callout-content],.callout[data-callout-type=warning] [data-component-part=callout-icon] svg{color:#7b571e!important}.dark .callout[data-callout-type=warning]{background-color:rgba(203,134,6,.16)!important;border-color:rgba(203,134,6,.2)!important}.dark .callout[data-callout-type=warning] [data-component-part=callout-content],.dark .callout[data-callout-type=warning] [data-component-part=callout-icon] svg{color:#bca482!important}.callout[data-callout-type=check]{background-color:rgba(75,158,79,.1)!important;border-color:rgba(75,158,79,.14)!important}.callout[data-callout-type=check] [data-component-part=callout-content],.callout[data-callout-type=check] [data-component-part=callout-icon] svg{color:#136a22!important}.dark .callout[data-callout-type=check]{background-color:rgba(75,158,79,.18)!important;border-color:rgba(75,158,79,.22)!important}.dark .callout[data-callout-type=check] [data-component-part=callout-content],.dark .callout[data-callout-type=check] [data-component-part=callout-icon] svg{color:#88bb8c!important}.callout [data-component-part=callout-content] a{color:inherit!important;text-decoration:underline!important}#header .text-lg.prose p{font-family:\"GT Standard\",sans-serif!important;font-weight:300!important;font-size:18px!important;line-height:140%!important;letter-spacing:-.02em!important;color:#545658!important}.card{background-color:#f7f7f8!important}.dark .card{background-color:#121516!important}[data-component-part=card-content-container].flex{align-items:flex-start!important}[data-component-part=card-content]{font-family:\"GT Standard\",sans-serif!important;font-weight:300!important;font-size:14px!important;letter-spacing:-.02em!important;line-height:140%!important;color:#545658!important}.dark [data-component-part=card-content],.dark [data-component-part=step-content]>[data-as=p],.dark [data-component-part=step-content]>p{color:#abb0b3!important}#content-area.max-w-xl,#content-area[class*=\"--content-width\"]{max-width:56rem!important}hr{border:0!important;border-top:1px solid rgba(18,21,22,.2)!important;margin:56px 0!important}.dark hr{border-top:1px solid rgba(247,247,248,.2)!important}.steps{margin-left:18px!important}.step-container{padding-bottom:48px!important}.step-container:last-child{padding-bottom:0!important}[data-component-part=step-line]{width:1px!important;left:0!important;top:44px!important;height:calc(100% - 52px)!important;background:rgba(18,21,22,.1)!important;background-image:none!important}.dark [data-component-part=step-line]{background:rgba(247,247,248,.1)!important}[data-component-part=step-number]{margin-left:-18px!important;padding-top:0!important;padding-bottom:0!important}[data-component-part=step-number]>div:first-child{width:36px!important;height:36px!important;min-width:36px!important;min-height:36px!important;border-radius:50%!important;background-color:rgba(18,21,22,.06)!important;font-family:\"GT Standard\",sans-serif!important;font-weight:500!important;font-size:15px!important;line-height:17px!important;letter-spacing:-.02em!important;color:#121516!important}.dark [data-component-part=step-number]>div:first-child{background-color:rgba(247,247,248,.1)!important;color:#f7f7f8!important}.step-container>.w-full{padding-left:38px!important}[data-component-part=step-title]{font-family:\"GT Standard\",sans-serif!important;font-weight:500!important;font-size:17px!important;line-height:22px!important;letter-spacing:-.02em!important;color:#121516!important;margin-top:7px!important}.dark #section-menu-dropdown .toc-item a.border-primary,.dark #section-menu-dropdown .toc-item a.text-primary,.dark #section-menu-dropdown .toc-item a:hover,.dark #section-menu-dropdown .toc-item[data-depth=\"1\"] a.border-primary,.dark #section-menu-dropdown .toc-item[data-depth=\"1\"] a.text-primary,.dark #section-menu-dropdown .toc-item[data-depth=\"1\"] a:hover,.dark #section-menu-dropdown .toc-item[data-depth=\"2\"] a.border-primary,.dark #section-menu-dropdown .toc-item[data-depth=\"2\"] a.text-primary,.dark #section-menu-dropdown .toc-item[data-depth=\"2\"] a:hover,.dark .table td a:hover,.dark .toc-item a:hover,.dark .toc-item[data-depth=\"1\"] a:hover,.dark .toc-item[data-depth=\"2\"] a:hover,.dark [data-component-part=step-title]{color:#f7f7f8!important}[data-component-part=step-content]{margin-top:24px!important}[data-component-part=step-content]>[data-as=p],[data-component-part=step-content]>p{font-family:\"GT Standard\",sans-serif!important;font-weight:300!important;font-size:16px!important;line-height:140%!important;letter-spacing:-.02em!important;color:#545658!important}#table-of-contents>button{padding:0!important;margin-bottom:12px!important}#table-of-contents>button svg{width:24px!important;height:24px!important;stroke:rgba(18,21,22,.6)!important;stroke-width:1px!important}.dark #table-of-contents>button svg{stroke:rgba(247,247,248,.6)!important}#table-of-contents-content{border-left:1px solid rgba(18,21,22,.1)!important;padding-left:0!important;margin-left:0!important}.dark #table-of-contents-content{border-left-color:rgba(247,247,248,.1)!important}.toc-item{border-left:none!important;padding-left:0!important}#section-menu-dropdown .toc-item a,.toc-item a{font-family:\"GT Standard\",sans-serif!important;font-size:13px!important;font-weight:400!important;line-height:normal!important;letter-spacing:-.02em!important;color:rgba(18,21,22,.6)!important;display:block!important;text-decoration:none!important}.toc-item a{border-left:2px solid transparent!important;margin-left:-1px!important;padding:8px 0 8px 16px!important;transition:color .15s ease,border-color .15s ease!important}.toc-item a:hover{color:#121516!important}.dark .toc-item a{color:rgba(247,247,248,.6)!important}.toc-item a.border-primary,.toc-item a.text-primary,.toc-item a[data-active=true]{color:#121516!important;border-left-color:#121516!important;font-weight:400!important}.dark .toc-item a.border-primary,.dark .toc-item a.text-primary,.dark .toc-item a[data-active=true],.dark .toc-item[data-depth=\"1\"] a.border-primary,.dark .toc-item[data-depth=\"1\"] a.text-primary,.dark .toc-item[data-depth=\"1\"] a[data-active=true],.dark .toc-item[data-depth=\"2\"] a.border-primary,.dark .toc-item[data-depth=\"2\"] a.text-primary,.dark .toc-item[data-depth=\"2\"] a[data-active=true]{color:#f7f7f8!important;border-left-color:#f7f7f8!important}.toc-item[data-depth=\"1\"] a,.toc-item[data-depth=\"2\"] a{padding-left:36px!important;color:rgba(18,21,22,.5)!important}.toc-item[data-depth=\"2\"] a{padding-left:56px!important}.dark #section-menu-dropdown .toc-item[data-depth=\"1\"] a,.dark #section-menu-dropdown .toc-item[data-depth=\"2\"] a,.dark .toc-item[data-depth=\"1\"] a,.dark .toc-item[data-depth=\"2\"] a{color:rgba(247,247,248,.5)!important}.toc-item[data-depth=\"1\"] a:hover,.toc-item[data-depth=\"2\"] a:hover{color:#121516!important}.toc-item[data-depth=\"1\"] a.border-primary,.toc-item[data-depth=\"1\"] a.text-primary,.toc-item[data-depth=\"1\"] a[data-active=true],.toc-item[data-depth=\"2\"] a.border-primary,.toc-item[data-depth=\"2\"] a.text-primary,.toc-item[data-depth=\"2\"] a[data-active=true]{color:#121516!important;border-left-color:#121516!important}@media (max-width:1279px){#content-area{max-width:56rem!important}}#section-menu-btn{position:fixed;top:80px;right:24px;width:32px;height:32px;border-radius:6px;border:1px solid rgba(18,21,22,.4);background-color:#f7f7f8;display:none;align-items:center;justify-content:center;cursor:pointer;z-index:50;transition:background-color .15s ease,border-color .15s ease;padding:0}#section-menu-btn.open,#section-menu-btn:hover{background-color:#fcfcfc;border-color:rgba(18,21,22,.6)}#section-menu-btn svg{width:24px;height:24px;stroke:#121516;stroke-width:1px}.dark #section-menu-btn{background-color:#121516;border-color:rgba(247,247,248,.4)}.dark #section-menu-btn.open,.dark #section-menu-btn:hover{background-color:#1d2022}.dark #section-menu-btn svg{stroke:#f7f7f8}#section-menu-backdrop{position:fixed;inset:0;z-index:51;display:none}#section-menu-backdrop.open{display:block}#section-menu-dropdown{position:fixed;top:120px;right:24px;background-color:#f7f7f8;padding:25px;border:1px solid rgba(18,21,22,.2);border-radius:8px;box-shadow:0 4px 10px rgba(0,0,0,.1);z-index:52;width:229px;max-height:60vh;overflow-y:auto;transform-origin:top right;opacity:0;transform:scale(.95);pointer-events:none;transition:opacity .15s ease,transform .15s ease}#section-menu-dropdown.open{opacity:1;transform:scale(1);pointer-events:auto}.dark #section-menu-dropdown{background-color:#121516;border-color:rgba(247,247,248,.2);box-shadow:none}#section-menu-dropdown ul{list-style:none;margin:0;padding:0}#section-menu-dropdown .toc-item{border-left:none!important;padding-left:0!important}#section-menu-dropdown .toc-item a{border-left:none!important;border-radius:0!important;background:0 0!important;padding:0!important;margin-bottom:15px!important;transition:color .15s ease!important}#section-menu-dropdown .toc-item a:hover{color:#121516!important;background:0 0!important}#section-menu-dropdown .toc-item a.border-primary,#section-menu-dropdown .toc-item a.text-primary,#section-menu-dropdown .toc-item[data-depth=\"1\"] a.border-primary,#section-menu-dropdown .toc-item[data-depth=\"1\"] a.text-primary,#section-menu-dropdown .toc-item[data-depth=\"1\"] a:hover,#section-menu-dropdown .toc-item[data-depth=\"2\"] a.border-primary,#section-menu-dropdown .toc-item[data-depth=\"2\"] a.text-primary,#section-menu-dropdown .toc-item[data-depth=\"2\"] a:hover,.sidebar-group a.bg-primary\\/10 svg,.sidebar-group a:hover svg,.sidebar-group a[aria-current=page] svg,.sidebar-group button[aria-expanded]:hover svg,.table td a:hover{color:#121516!important}.dark #section-menu-dropdown .toc-item a,.dark .sidebar-group svg,.dark .table td a{color:rgba(247,247,248,.6)!important}#section-menu-dropdown .toc-item[data-depth=\"1\"] a{padding-left:20px!important;color:rgba(18,21,22,.5)!important}#section-menu-dropdown .toc-item[data-depth=\"2\"] a{padding-left:40px!important;color:rgba(18,21,22,.5)!important}@media (min-width:1280px){#section-menu-backdrop,#section-menu-btn,#section-menu-dropdown{display:none!important}}[data-table-wrapper=true]{width:100%!important;max-width:100%!important;margin-left:0!important;margin-right:0!important;padding-left:0!important;padding-right:0!important}[data-table-wrapper=true]::-webkit-scrollbar{height:8px;-webkit-appearance:none}[data-table-wrapper=true]::-webkit-scrollbar-track{background:0 0}[data-table-wrapper=true]::-webkit-scrollbar-thumb{background-color:rgba(18,21,22,.35);border-radius:4px}[data-table-wrapper=true]:hover::-webkit-scrollbar-thumb{background-color:rgba(18,21,22,.55)}.dark [data-table-wrapper=true]::-webkit-scrollbar-thumb{background-color:rgba(247,247,248,.35)}.dark [data-table-wrapper=true]:hover::-webkit-scrollbar-thumb{background-color:rgba(247,247,248,.55)}@supports not (selector(::-webkit-scrollbar)){[data-table-wrapper=true]{scrollbar-width:thin;scrollbar-color:rgba(18,21,22,.35) transparent}.dark [data-table-wrapper=true]{scrollbar-color:rgba(247,247,248,.35) transparent}}.table{border-collapse:collapse!important;border-spacing:0!important}.table td,.table th{font-family:\"GT Standard\",sans-serif!important;font-size:13px!important;letter-spacing:-.02em!important;padding:16px 16px 16px 0!important;border-top:none!important;border-left:none!important;border-right:none!important;background-color:transparent!important}.table th{font-weight:400!important;color:#121516!important;border-bottom:1px solid rgba(18,21,22,.3)!important;white-space:nowrap}.table td{font-weight:300!important;color:#545658!important;border-bottom:1px solid rgba(18,21,22,.1)!important}.table tbody tr:last-child td{border-bottom:none!important}.dark .table th{color:#f7f7f8!important;border-bottom-color:rgba(247,247,248,.3)!important}.dark .table td{color:#abb0b3!important;border-bottom-color:rgba(247,247,248,.1)!important}.table td strong{color:inherit!important}.table td code{font-size:13px!important;padding:2px 6px!important}.table td:first-child code{white-space:nowrap}.table td:nth-child(2){white-space:normal;word-break:break-word}.sidebar-group svg,.table td a{color:rgba(18,21,22,.6)!important}.table td a{text-decoration:underline!important;text-decoration-thickness:1px!important;text-underline-offset:2px!important;transition:color .2s ease}.sidebar-group a,.sidebar-group button[aria-expanded],.sidebar-group-header{font-size:13px!important;font-family:\"GT Standard\",sans-serif!important;letter-spacing:-.02em!important;color:#121516!important}.sidebar-group-header{font-weight:600!important;text-transform:none!important}.dark .sidebar-group a,.dark .sidebar-group a.bg-primary\\/10 svg,.dark .sidebar-group a:hover svg,.dark .sidebar-group a[aria-current=page] svg,.dark .sidebar-group button[aria-expanded],.dark .sidebar-group button[aria-expanded]:hover svg,.dark .sidebar-group-header{color:#f7f7f8!important}.sidebar-group a,.sidebar-group button[aria-expanded]{font-weight:400!important;line-height:140%!important;text-decoration:none!important;transition:background-color .15s ease,color .15s ease!important}.sidebar-group a.bg-primary\\/10,.sidebar-group a:hover,.sidebar-group a[aria-current=page],.sidebar-group button[aria-expanded]:hover{background:rgba(18,21,22,.06)!important;color:#121516!important;border-radius:8px!important}.dark .sidebar-group a.bg-primary\\/10,.dark .sidebar-group a:hover,.dark .sidebar-group a[aria-current=page],.dark .sidebar-group button[aria-expanded]:hover{background:rgba(247,247,248,.14)!important;color:#f7f7f8!important}.sidebar-group svg{width:16px!important;height:16px!important;stroke-width:1px!important}@media (min-width:1024px){#content-container:has(>.flex.flex-row-reverse>:is(#content-area.max-w-xl, #content-area[class*=\"--content-width\"])){padding-left:3rem!important;padding-right:1.5rem!important}#content-container>.flex.flex-row-reverse:has(>:is(#content-area.max-w-xl, #content-area[class*=\"--content-width\"])){padding-left:0!important;column-gap:1.5rem!important}#content-container>.flex.flex-row-reverse>#content-side-layout>#table-of-contents-layout{width:15rem!important;padding-left:1rem!important}#content-container>.flex.flex-row-reverse>#content-side-layout>#table-of-contents-layout #table-of-contents{width:14rem!important}#content-container>.flex.flex-row-reverse>:is(#content-area.max-w-xl, #content-area[class*=\"--content-width\"]){max-width:64rem!important}}"}],"page":{"pagePath":"api-reference/decisions-post","slug":"/api-reference/decisions-post","pageMetadata":{"openapi":"post /v1/decisions","title":"Answer questions","description":"Evaluate one or more named questions against the content in `state`. Mix `noul`, `choice`, and `score` questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set `model` to `pplx-decider-v1.2` or `pplx-decider-flash-v1.2`, or to the alias `pplx-decider-latest` or `pplx-decider-flash-latest`; a missing or unknown model returns `400`. Send the key as `Authorization: Bearer \u003ckey>`; an `x-api-key` header is not read and returns `401`.","href":"/api-reference/decisions-post"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Evaluate one or more named questions against the content in \", _jsx(_components.code, {\n children: \"state\"\n }), \". Mix \", _jsx(_components.code, {\n children: \"noul\"\n }), \", \", _jsx(_components.code, {\n children: \"choice\"\n }), \", and \", _jsx(_components.code, {\n children: \"score\"\n }), \" questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set \", _jsx(_components.code, {\n children: \"model\"\n }), \" to \", _jsx(_components.code, {\n children: \"pplx-decider-v1.2\"\n }), \" or \", _jsx(_components.code, {\n children: \"pplx-decider-flash-v1.2\"\n }), \", or to the alias \", _jsx(_components.code, {\n children: \"pplx-decider-latest\"\n }), \" or \", _jsx(_components.code, {\n children: \"pplx-decider-flash-latest\"\n }), \"; a missing or unknown model returns \", _jsx(_components.code, {\n children: \"400\"\n }), \". Send the key as \", _jsx(_components.code, {\n children: \"Authorization: Bearer \u003ckey>\"\n }), \"; an \", _jsx(_components.code, {\n children: \"x-api-key\"\n }), \" header is not read and returns \", _jsx(_components.code, {\n children: \"401\"\n }), \".\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /v1/decisions","title":"Answer questions","description":"Evaluate one or more named questions against the content in `state`. Mix `noul`, `choice`, and `score` questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set `model` to `pplx-decider-v1.2` or `pplx-decider-flash-v1.2`, or to the alias `pplx-decider-latest` or `pplx-decider-flash-latest`; a missing or unknown model returns `400`. Send the key as `Authorization: Bearer \u003ckey>`; an `x-api-key` header is not read and returns `401`.","href":"/api-reference/decisions-post"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/perplexity/a3bce64cf9d1b46a/section-menu.js","/_mintlify/custom/perplexity/594e3514bce8f9d1/navbar-cta.js","/_mintlify/custom/perplexity/72c576fa3737c96e/singular-tracking.js"],"openApiReferenceData":{"operation":{"operationId":"decisions_v1_decisions_post","requestBody":"55de96e5-95f7-482a-b1ee-fe68366cfece","responses":{"200":"9ef12d55-b121-4eef-8564-f5bd15cc471f","400":"4d13bbc8-0bad-4cbb-933e-8c8e4b0e8501","401":"7e037a00-7288-4fdf-8f7d-dd8ffaf18dd6","404":"fb465958-5623-4637-bd13-258463ce3e41","405":"0102908b-7293-464b-ab8a-707b1ab6b095","413":"2ec07db5-c26c-48de-a3bb-c929a1dcd111","429":"c7f645ab-982d-438d-bd22-bfc122d09eb2","500":"3d953169-399f-4482-bf4f-eac1c5c841b2","502":"7e68228f-6856-48fb-bcc1-2cac1e276640","503":"0133349e-b348-4afa-9fba-47ea62d43c62","504":"534c534f-d573-44c6-9c46-1e696fbb7ef0"},"security":["05668cdc-1a74-4efe-9c1f-67c7a56e070c"],"summary":"Answer questions","x-mint":{"href":"/api-reference/decisions-post"},"description":"Evaluate one or more named questions against the content in `state`. Mix `noul`, `choice`, and `score` questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set `model` to `pplx-decider-v1.2` or `pplx-decider-flash-v1.2`, or to the alias `pplx-decider-latest` or `pplx-decider-flash-latest`; a missing or unknown model returns `400`. Send the key as `Authorization: Bearer \u003ckey>`; an `x-api-key` header is not read and returns `401`.","method":"post","type":"path","servers":["d15d3da4-969d-4723-bbf6-5c636aa82ebc"],"path":"/v1/decisions","baseUrlOptions":["https://perplexity.coolkeypoint.com/__p/api.perplexity.ai"],"title":"Answer questions","codeSamples":[],"requiredOnlyExamples":true,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","title":"DecisionsRequest","properties":{"model":{"type":"string","title":"Model","description":"The decision model: `pplx-decider-v1.2` (27B, $0.02 per million input tokens) or `pplx-decider-flash-v1.2` (4B, $0.01 per million input tokens). The aliases `pplx-decider-latest` and `perplexity/pplx-decider-latest` select `pplx-decider-v1.2`, and `pplx-decider-flash-latest` and `perplexity/pplx-decider-flash-latest` select `pplx-decider-flash-v1.2`; an alias can move to a newer model over time. `pplx-decider-v1.1-27b` and `pplx-decider-v1-27b` remain accepted and select `pplx-decider-v1.2`. A missing or unknown model returns `400`.","example":"pplx-decider-latest","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"state":{"oneOf":[{"type":"string","title":"State","description":"The content every question in the request refers to: a string, an object, or an array. Images can appear anywhere in `state` as OpenAI-style `image_url` parts with base64 PNG, JPEG, or WebP data URLs and are read in place. Up to 8 images per question.","example":"The headphones sound great, but the battery stopped charging after two weeks.","isRequired":true,"uniqueKey":"state.oneOf.0","typeLabel":"string"},{"type":"object","title":"State","description":"The content every question in the request refers to: a string, an object, or an array. Images can appear anywhere in `state` as OpenAI-style `image_url` parts with base64 PNG, JPEG, or WebP data URLs and are read in place. Up to 8 images per question.","example":"The headphones sound great, but the battery stopped charging after two weeks.","additionalProperties":true,"isRequired":true,"uniqueKey":"state.oneOf.1","typeLabel":"State · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"state.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"State","description":"The content every question in the request refers to: a string, an object, or an array. Images can appear anywhere in `state` as OpenAI-style `image_url` parts with base64 PNG, JPEG, or WebP data URLs and are read in place. Up to 8 images per question.","example":"The headphones sound great, but the battery stopped charging after two weeks.","isRequired":true,"uniqueKey":"state.oneOf.2","typeLabel":"any[]"}],"isRequired":true,"uniqueKey":"state","typeLabel":"string | State · object | any[]"},"questions":{"type":"object","additionalProperties":{"oneOf":[{"type":"object","title":"NoulQuestion","description":"A named question about `state`. Discriminated by `type`.","required":["type"],"properties":{"type":{"type":"string","enum":["noul"],"title":"Type","description":"Always `noul`.","example":"noul","isRequired":true,"uniqueKey":"questions.additionalProperties.oneOf.0.type","typeLabel":"enum\u003cstring>"},"instructions":{"oneOf":[{"type":"string","title":"Instructions","description":"The question to answer or the statement to check. Required unless `criteria` is set.","example":"Does the review report a product defect?","uniqueKey":"questions.additionalProperties.oneOf.0.instructions.oneOf.0","typeLabel":"string"},{"type":"object","title":"Instructions","description":"The question to answer or the statement to check. Required unless `criteria` is set.","example":"Does the review report a product defect?","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.0.instructions.oneOf.1","typeLabel":"Instructions · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.0.instructions.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"Instructions","description":"The question to answer or the statement to check. Required unless `criteria` is set.","example":"Does the review report a product defect?","uniqueKey":"questions.additionalProperties.oneOf.0.instructions.oneOf.2","typeLabel":"any[]"},{"type":"null","title":"Instructions","description":"The question to answer or the statement to check. Required unless `criteria` is set.","example":"Does the review report a product defect?","uniqueKey":"questions.additionalProperties.oneOf.0.instructions.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.0.instructions","typeLabel":"string | Instructions · object | any[] | null"},"criteria":{"oneOf":[{"type":"object","title":"NoulCriteria","description":"Optional definitions of yes and no. Required unless `instructions` is set.","example":{"true":"Something is broken or not working.","false":"Normal wear or personal preference."},"properties":{"true":{"oneOf":[{"type":"string","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true.oneOf.0","typeLabel":"string"},{"type":"object","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working.","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true.oneOf.1","typeLabel":"True · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true.oneOf.2","typeLabel":"any[]"},{"type":"null","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.true","typeLabel":"string | True · object | any[] | null"},"false":{"oneOf":[{"type":"string","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false.oneOf.0","typeLabel":"string"},{"type":"object","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference.","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false.oneOf.1","typeLabel":"False · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false.oneOf.2","typeLabel":"any[]"},{"type":"null","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference.","uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0.false","typeLabel":"string | False · object | any[] | null"}},"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.0","typeLabel":"NoulCriteria · object"},{"type":"null","title":"NoulCriteria","description":"Optional definitions of yes and no. Required unless `instructions` is set.","example":{"true":"Something is broken or not working.","false":"Normal wear or personal preference."},"properties":{"true":{"oneOf":[{"type":"string","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working."},{"type":"object","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working.","additionalProperties":true},{"type":"array","items":{"oneOf":[{}]},"title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working."},{"type":"null","title":"True","description":"What a yes answer means for this question.","example":"The review describes something broken or not working."}]},"false":{"oneOf":[{"type":"string","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference."},{"type":"object","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference.","additionalProperties":true},{"type":"array","items":{"oneOf":[{}]},"title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference."},{"type":"null","title":"False","description":"What a no answer means for this question.","example":"The review describes normal wear or personal preference."}]}},"uniqueKey":"questions.additionalProperties.oneOf.0.criteria.oneOf.1","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.0.criteria","typeLabel":"NoulCriteria · object | null"}},"uniqueKey":"questions.additionalProperties.oneOf.0","typeLabel":"NoulQuestion · object"},{"type":"object","title":"ChoiceQuestion","description":"A named question about `state`. Discriminated by `type`.","required":["criteria","type"],"properties":{"type":{"type":"string","enum":["choice"],"title":"Type","description":"Always `choice`.","example":"choice","isRequired":true,"uniqueKey":"questions.additionalProperties.oneOf.1.type","typeLabel":"enum\u003cstring>"},"criteria":{"type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"object","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties.oneOf.1","typeLabel":"object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties.oneOf.2.items.[INDEX]","typeLabel":"any"},"uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties.oneOf.2","typeLabel":"any[]"},{"type":"null","uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.1.criteria.additionalProperties","typeLabel":"string | object | any[] | null"},"title":"Criteria","description":"Option names mapped to a description of when each applies. Use `null` to let the name speak for itself. 1 to 255 options.","example":{"positive":"Mostly satisfied","mixed":"Praise and complaints in one review","negative":"Mostly dissatisfied"},"minProperties":1,"maxProperties":255,"isRequired":true,"uniqueKey":"questions.additionalProperties.oneOf.1.criteria","typeLabel":"Criteria · object"},"instructions":{"oneOf":[{"type":"string","title":"Instructions","description":"What to decide when choosing between the options.","example":"What is the overall sentiment of the review?","uniqueKey":"questions.additionalProperties.oneOf.1.instructions.oneOf.0","typeLabel":"string"},{"type":"object","title":"Instructions","description":"What to decide when choosing between the options.","example":"What is the overall sentiment of the review?","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.1.instructions.oneOf.1","typeLabel":"Instructions · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.1.instructions.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"Instructions","description":"What to decide when choosing between the options.","example":"What is the overall sentiment of the review?","uniqueKey":"questions.additionalProperties.oneOf.1.instructions.oneOf.2","typeLabel":"any[]"},{"type":"null","title":"Instructions","description":"What to decide when choosing between the options.","example":"What is the overall sentiment of the review?","uniqueKey":"questions.additionalProperties.oneOf.1.instructions.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.1.instructions","typeLabel":"string | Instructions · object | any[] | null"}},"uniqueKey":"questions.additionalProperties.oneOf.1","typeLabel":"ChoiceQuestion · object"},{"type":"object","title":"ScoreQuestion","description":"A named question about `state`. Discriminated by `type`.","required":["criteria","type"],"properties":{"type":{"type":"string","enum":["score"],"title":"Type","description":"Always `score`.","example":"score","isRequired":true,"uniqueKey":"questions.additionalProperties.oneOf.2.type","typeLabel":"enum\u003cstring>"},"criteria":{"type":"array","minItems":1,"items":{"oneOf":[{"type":"string","uniqueKey":"questions.additionalProperties.oneOf.2.criteria.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"object","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.2.criteria.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.2.criteria.items.[INDEX].oneOf.2.items.[INDEX]","typeLabel":"any"},"uniqueKey":"questions.additionalProperties.oneOf.2.criteria.items.[INDEX].oneOf.2","typeLabel":"any[]"}],"uniqueKey":"questions.additionalProperties.oneOf.2.criteria.items.[INDEX]","typeLabel":"string | object | any[]"},"title":"Criteria","description":"Ordered level descriptions. The index in this array is the level's score, starting at 0. 1 to 10 levels; use at least two.","example":["Cosmetic","Inconvenient","Product unusable"],"maxItems":10,"isRequired":true,"uniqueKey":"questions.additionalProperties.oneOf.2.criteria","typeLabel":"(string | object | any[])[]"},"instructions":{"oneOf":[{"type":"string","title":"Instructions","description":"What to rate.","example":"How severe is the reported problem?","uniqueKey":"questions.additionalProperties.oneOf.2.instructions.oneOf.0","typeLabel":"string"},{"type":"object","title":"Instructions","description":"What to rate.","example":"How severe is the reported problem?","additionalProperties":true,"uniqueKey":"questions.additionalProperties.oneOf.2.instructions.oneOf.1","typeLabel":"Instructions · object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"questions.additionalProperties.oneOf.2.instructions.oneOf.2.items.[INDEX]","typeLabel":"any"},"title":"Instructions","description":"What to rate.","example":"How severe is the reported problem?","uniqueKey":"questions.additionalProperties.oneOf.2.instructions.oneOf.2","typeLabel":"any[]"},{"type":"null","title":"Instructions","description":"What to rate.","example":"How severe is the reported problem?","uniqueKey":"questions.additionalProperties.oneOf.2.instructions.oneOf.3","typeLabel":"null"}],"uniqueKey":"questions.additionalProperties.oneOf.2.instructions","typeLabel":"string | Instructions · object | any[] | null"}},"uniqueKey":"questions.additionalProperties.oneOf.2","typeLabel":"ScoreQuestion · object"}],"uniqueKey":"questions.additionalProperties","typeLabel":"NoulQuestion · object | ChoiceQuestion · object | ScoreQuestion · object"},"minProperties":1,"title":"Questions","description":"Questions keyed by a non-empty name you choose. The response uses the same names. 1 to 128 questions.","example":{"defect":{"type":"noul","instructions":"Does the review report a product defect?"}},"maxProperties":128,"isRequired":true,"uniqueKey":"questions","typeLabel":"Questions · object"}},"required":["model","state","questions"],"description":"The content to evaluate and the named questions to ask about it. Unknown fields return `400`. The `state` plus any one question must stay under 256K input tokens; on `pplx-decider-v1.2`, questions that do not fit together are answered in groups, and each group counts the `state` again. `pplx-decider-flash-v1.2` answers each question separately and counts the `state` again for every question. The body must stay under 32 MiB.","additionalProperties":false,"uniqueKey":"","typeLabel":"DecisionsRequest · object"},"examples":{"mixed-questions":{"title":"mixed-questions","value":{"model":"pplx-decider-latest","state":{"title":"Battery died after two weeks","review":"The headphones sound great, but the battery stopped charging after two weeks."},"questions":{"defect":{"type":"noul","instructions":"Does the review report a product defect?"},"sentiment":{"type":"choice","instructions":"What is the overall sentiment of the review?","criteria":{"positive":"Mostly satisfied","mixed":"Praise and complaints in one review","negative":"Mostly dissatisfied"}},"severity":{"type":"score","instructions":"How severe is the reported problem?","criteria":["Cosmetic","Inconvenient","Product unusable"]}}}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"9ef12d55-b121-4eef-8564-f5bd15cc471f":{"headers":{"x-request-id":{"description":"A UUID that identifies the request. Quote it in support requests.","schema":{"type":"string","format":"uuid"},"example":"7a1504a6-a884-48e6-af6e-0c3140aeb6db"},"x-ratelimit-limit":{"schema":{"type":"integer"},"description":"Requests allowed per second for your organization."},"x-ratelimit-remaining":{"schema":{"type":"integer"},"description":"Requests left in the current second."},"x-ratelimit-used":{"schema":{"type":"integer"},"description":"Requests used in the current second."},"x-ratelimit-reset":{"schema":{"type":"integer"},"description":"When the window resets, in Unix seconds."}},"content":{"application/json":{"schema":{"type":"object","title":"DecisionsResponse","properties":{"model":{"type":"string","title":"Model","description":"The model name you sent, echoed back.","example":"pplx-decider-latest","isRequired":true,"uniqueKey":"model","typeLabel":"string"},"answers":{"type":"object","additionalProperties":{"oneOf":[{"type":"object","title":"NoulAnswer","description":"One answer. Its `type` matches the question's `type`.","required":["noul","type"],"properties":{"type":{"type":"string","enum":["noul"],"title":"Type","description":"Always `noul`.","example":"noul","isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.0.type","typeLabel":"enum\u003cstring>"},"noul":{"type":"number","title":"Noul","description":"Probability of yes or true, from 0 to 1. Values near 0.5 mean the model is unsure.","example":0.9424522889347015,"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.0.noul","typeLabel":"number"}},"uniqueKey":"answers.additionalProperties.oneOf.0","typeLabel":"NoulAnswer · object"},{"type":"object","title":"ScoreAnswer","description":"One answer. Its `type` matches the question's `type`.","required":["score","confidence","legend","probabilities","type"],"properties":{"type":{"type":"string","enum":["score"],"title":"Type","description":"Always `score`.","example":"score","isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.1.type","typeLabel":"enum\u003cstring>"},"score":{"type":"number","title":"Score","description":"Probability-weighted average of the level indices. Can fall between two levels.","example":1.7838686319784252,"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.1.score","typeLabel":"number"},"confidence":{"type":"number","title":"Confidence","description":"Computed from `probabilities` as `1 - spread / baseline`, with a floor of 0. `spread` is the sum of `p_i × |i - top|`, where `top` is the most likely level; `baseline` is the unweighted average of `|i - top|` over all levels. 1 for a single level.","example":0.7838686319784252,"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.1.confidence","typeLabel":"number"},"legend":{"type":"object","additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"answers.additionalProperties.oneOf.1.legend.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"object","additionalProperties":true,"uniqueKey":"answers.additionalProperties.oneOf.1.legend.additionalProperties.oneOf.1","typeLabel":"object"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"answers.additionalProperties.oneOf.1.legend.additionalProperties.oneOf.2.items.[INDEX]","typeLabel":"any"},"uniqueKey":"answers.additionalProperties.oneOf.1.legend.additionalProperties.oneOf.2","typeLabel":"any[]"}],"uniqueKey":"answers.additionalProperties.oneOf.1.legend.additionalProperties","typeLabel":"string | object | any[]"},"title":"Legend","description":"Level index, as a string, mapped back to the `criteria` entry it stands for.","example":{"0":"Cosmetic","1":"Inconvenient","2":"Product unusable"},"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.1.legend","typeLabel":"Legend · object"},"probabilities":{"type":"object","additionalProperties":{"type":"number","uniqueKey":"answers.additionalProperties.oneOf.1.probabilities.additionalProperties","typeLabel":"number"},"title":"Probabilities","description":"Probability of each level, keyed like `legend`. Values sum to approximately 1.","example":{"0":0.008423954913615923,"1":0.199283458194343,"2":0.7922925868920411},"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.1.probabilities","typeLabel":"Probabilities · object"}},"uniqueKey":"answers.additionalProperties.oneOf.1","typeLabel":"ScoreAnswer · object"},{"type":"object","title":"ChoiceAnswer","description":"One answer. Its `type` matches the question's `type`.","required":["choice","confidence","probabilities","type"],"properties":{"type":{"type":"string","enum":["choice"],"title":"Type","description":"Always `choice`.","example":"choice","isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.2.type","typeLabel":"enum\u003cstring>"},"choice":{"type":"string","title":"Choice","description":"The option with the highest probability.","example":"mixed","isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.2.choice","typeLabel":"string"},"confidence":{"type":"number","title":"Confidence","description":"Computed from `probabilities` as `(p_top - 1/n) / (1 - 1/n)`, where `p_top` is the highest probability and `n` is the number of options. 0 when every option is equally likely; 1 when one option has all the probability or there is only one option.","example":0.9255246944002182,"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.2.confidence","typeLabel":"number"},"probabilities":{"type":"object","additionalProperties":{"type":"number","uniqueKey":"answers.additionalProperties.oneOf.2.probabilities.additionalProperties","typeLabel":"number"},"title":"Probabilities","description":"Probability of each option, keyed by option name. Values are between 0 and 1 and sum to approximately 1.","example":{"positive":0.020649883775315993,"mixed":0.9503497962668123,"negative":0.02900031995787183},"isRequired":true,"uniqueKey":"answers.additionalProperties.oneOf.2.probabilities","typeLabel":"Probabilities · object"}},"uniqueKey":"answers.additionalProperties.oneOf.2","typeLabel":"ChoiceAnswer · object"}],"uniqueKey":"answers.additionalProperties","typeLabel":"NoulAnswer · object | ScoreAnswer · object | ChoiceAnswer · object"},"minProperties":1,"title":"Answers","description":"One answer per question, under the question's name.","example":{"defect":{"type":"noul","noul":0.9424522889347015}},"isRequired":true,"uniqueKey":"answers","typeLabel":"Answers · object"},"usage":{"type":"object","title":"Usage","description":"Token counts for this request.","required":["input_tokens","output_tokens"],"example":{"input_tokens":367,"output_tokens":3},"properties":{"input_tokens":{"type":"integer","title":"Input Tokens","description":"Input tokens processed for the request.","example":367,"isRequired":true,"uniqueKey":"usage.input_tokens","typeLabel":"integer"},"output_tokens":{"type":"integer","title":"Output Tokens","description":"Output tokens generated for the answers.","example":3,"isRequired":true,"uniqueKey":"usage.output_tokens","typeLabel":"integer"}},"isRequired":true,"uniqueKey":"usage","typeLabel":"Usage · object"}},"required":["model","answers","usage"],"description":"Answers keyed by question name, plus the model that answered and token usage.","uniqueKey":"","typeLabel":"DecisionsResponse · object"},"examples":{"answers":{"title":"answers","value":{"model":"pplx-decider-latest","answers":{"defect":{"type":"noul","noul":0.9424522889347015},"sentiment":{"type":"choice","choice":"mixed","confidence":0.9255246944002182,"probabilities":{"positive":0.020649883775315993,"mixed":0.9503497962668123,"negative":0.02900031995787183}},"severity":{"type":"score","score":1.7838686319784252,"confidence":0.7838686319784252,"legend":{"0":"Cosmetic","1":"Inconvenient","2":"Product unusable"},"probabilities":{"0":0.008423954913615923,"1":0.199283458194343,"2":0.7922925868920411}}},"usage":{"input_tokens":367,"output_tokens":3}}}},"exampleType":"examples"}},"description":"One answer per question, under the question's name.","exampleType":"examples"},"4d13bbc8-0bad-4cbb-933e-8c8e4b0e8501":{"description":"The body is not valid JSON, `model` is missing or unknown, a field is unknown or the wrong type, a request limit is exceeded, or an image is not a supported data URL.","content":{"application/json":{"schema":{"type":"object","title":"ErrorResponse","properties":{"error":{"type":"object","title":"Error","properties":{"message":{"type":"string","description":"What went wrong.","example":"Noul question must have criteria or instructions","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","description":"The error category, for example `invalid_request_error`, `invalid_request`, `invalid_api_key`, or `too_many_requests`.","example":"invalid_request","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"oneOf":[{"type":"string","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"integer","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.1","typeLabel":"integer"},{"type":"null","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.2","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | integer | null"},"param":{"oneOf":[{"type":"string","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"}},"required":["message","type"],"description":"Details of the error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"required":["error"],"description":"The body of an error response.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"error":{"message":"Invalid model 'pplx-decidr-latest'. Permitted models can be found in the documentation at https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/docs/getting-started/models.","type":"invalid_request_error","param":null,"code":null}},"examples":{"Example":{"title":"Example","value":{"error":{"message":"Invalid model 'pplx-decidr-latest'. Permitted models can be found in the documentation at https://perplexity.coolkeypoint.com/__p/docs.perplexity.ai/docs/getting-started/models.","type":"invalid_request_error","param":null,"code":null}}}},"exampleType":"examples"}},"headers":{"x-request-id":{"description":"A UUID that identifies the request. Quote it in support requests.","schema":{"type":"string","format":"uuid"},"example":"7a1504a6-a884-48e6-af6e-0c3140aeb6db"}},"exampleType":"examples"},"7e037a00-7288-4fdf-8f7d-dd8ffaf18dd6":{"description":"The API key is missing or invalid, or it was sent in `x-api-key`. No request id header.","content":{"application/json":{"schema":{"type":"object","title":"ErrorResponse","properties":{"error":{"type":"object","title":"Error","properties":{"message":{"type":"string","description":"What went wrong.","example":"Noul question must have criteria or instructions","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","description":"The error category, for example `invalid_request_error`, `invalid_request`, `invalid_api_key`, or `too_many_requests`.","example":"invalid_request","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"oneOf":[{"type":"string","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"integer","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.1","typeLabel":"integer"},{"type":"null","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.2","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | integer | null"},"param":{"oneOf":[{"type":"string","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"}},"required":["message","type"],"description":"Details of the error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"required":["error"],"description":"The body of an error response.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"error":{"message":"Invalid API key provided. You can find your API key at https://perplexity.coolkeypoint.com/__p/console.perplexity.ai.","type":"invalid_api_key","code":401}},"examples":{"Example":{"title":"Example","value":{"error":{"message":"Invalid API key provided. You can find your API key at https://perplexity.coolkeypoint.com/__p/console.perplexity.ai.","type":"invalid_api_key","code":401}}}},"exampleType":"examples"}},"exampleType":"examples"},"fb465958-5623-4637-bd13-258463ce3e41":{"description":"Wrong path, including a trailing slash. Empty body, no request id.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"0102908b-7293-464b-ab8a-707b1ab6b095":{"description":"Wrong method. Empty body.","headers":{"Allow":{"description":"Always `POST`.","schema":{"type":"string"},"example":"POST"},"x-request-id":{"description":"A UUID that identifies the request. Quote it in support requests.","schema":{"type":"string","format":"uuid"},"example":"7a1504a6-a884-48e6-af6e-0c3140aeb6db"}},"content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"2ec07db5-c26c-48de-a3bb-c929a1dcd111":{"description":"The request body is over 32 MiB.","content":{"application/json":{"schema":{"type":"object","title":"ErrorResponse","properties":{"error":{"type":"object","title":"Error","properties":{"message":{"type":"string","description":"What went wrong.","example":"Noul question must have criteria or instructions","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","description":"The error category, for example `invalid_request_error`, `invalid_request`, `invalid_api_key`, or `too_many_requests`.","example":"invalid_request","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"oneOf":[{"type":"string","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"integer","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.1","typeLabel":"integer"},{"type":"null","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.2","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | integer | null"},"param":{"oneOf":[{"type":"string","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"}},"required":["message","type"],"description":"Details of the error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"required":["error"],"description":"The body of an error response.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"error":{"code":null,"message":"request body exceeds the maximum allowed size of 33554432 bytes","param":null,"type":"invalid_request_error"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":null,"message":"request body exceeds the maximum allowed size of 33554432 bytes","param":null,"type":"invalid_request_error"}}}},"exampleType":"examples"}},"headers":{"x-request-id":{"description":"A UUID that identifies the request. Quote it in support requests.","schema":{"type":"string","format":"uuid"},"example":"7a1504a6-a884-48e6-af6e-0c3140aeb6db"}},"exampleType":"examples"},"c7f645ab-982d-438d-bd22-bfc122d09eb2":{"description":"Over the request or token limit. Wait `Retry-After` seconds, then retry.","content":{"application/json":{"schema":{"type":"object","title":"ErrorResponse","properties":{"error":{"type":"object","title":"Error","properties":{"message":{"type":"string","description":"What went wrong.","example":"Noul question must have criteria or instructions","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","description":"The error category, for example `invalid_request_error`, `invalid_request`, `invalid_api_key`, or `too_many_requests`.","example":"invalid_request","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"code":{"oneOf":[{"type":"string","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"integer","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.1","typeLabel":"integer"},{"type":"null","description":"A status code as a string or a number, or `null`. Do not branch on it; use the HTTP status.","uniqueKey":"error.code.oneOf.2","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | integer | null"},"param":{"oneOf":[{"type":"string","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","description":"Present on some errors; `null` when present.","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"}},"required":["message","type"],"description":"Details of the error.","isRequired":true,"uniqueKey":"error","typeLabel":"Error · object"}},"required":["error"],"description":"The body of an error response.","uniqueKey":"","typeLabel":"ErrorResponse · object"},"example":{"error":{"code":null,"message":"Request rate limit exceeded, please try again later.","param":null,"type":"too_many_requests"}},"examples":{"Example":{"title":"Example","value":{"error":{"code":null,"message":"Request rate limit exceeded, please try again later.","param":null,"type":"too_many_requests"}}}},"exampleType":"examples"}},"headers":{"Retry-After":{"schema":{"type":"integer"},"description":"Seconds to wait before retrying."},"x-request-id":{"description":"A UUID that identifies the request. Quote it in support requests.","schema":{"type":"string","format":"uuid"},"example":"7a1504a6-a884-48e6-af6e-0c3140aeb6db"}},"exampleType":"examples"},"3d953169-399f-4482-bf4f-eac1c5c841b2":{"description":"The service failed. Retry with backoff.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"7e68228f-6856-48fb-bcc1-2cac1e276640":{"description":"The model service was unreachable. Retry with backoff.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"0133349e-b348-4afa-9fba-47ea62d43c62":{"description":"The model service is temporarily unavailable. Retry with backoff.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"534c534f-d573-44c6-9c46-1e696fbb7ef0":{"description":"The model did not answer in time, after about a minute. The body may be HTML rather than JSON. Retry, or send less input.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"05668cdc-1a74-4efe-9c1f-67c7a56e070c":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"}}},"servers":{"d15d3da4-969d-4723-bbf6-5c636aa82ebc":{"url":"https://perplexity.coolkeypoint.com/__p/api.perplexity.ai","description":"Perplexity AI API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"perplexity","siteName":"Perplexity","title":"Answer questions - Perplexity","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-16T17:41:26.507Z","originalFileLocation":"api-reference/decisions-post.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Evaluate one or more named questions against the content in state. Mix noul, choice, and score questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set model to pplx-decider-v1.2 or pplx-decider-flash-v1.2, or to the alias pplx-decider-latest or pplx-decider-flash-latest; a missing or unknown model returns 400. Send the key as Authorization: Bearer ; an x-api-key header is not read and returns 401.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Perplexity\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/perplexity/rSPP83rcZL_iw-xo/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Answer questions - Perplexity\">\u003cmeta data-mint-head property=\"og:description\" content=\"Evaluate one or more named questions against the content in state. Mix noul, choice, and score questions in one request; the response returns one answer per question under the same name, plus the model name and token usage. Set model to pplx-decider-v1.2 or pplx-decider-flash-v1.2, or to the alias pplx-decider-latest or pplx-decider-flash-latest; a missing or unknown model returns 400. Send the key as Authorization: Bearer ; an x-api-key header is not read and returns 401.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Perplexity\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://perplexity
[...]
